{% extends 'base.html.twig' %}

{% block title %}
{% endblock %}

{% block body %}
    <main class="container my-5">
	{% for produit in produits %}
    <div class="card-body shadow p-3 mb-5 bg-body rounded" style="width: 85%">
	{% if produit.image_link != null %}
		<img class="card-img-top" src="{{ produit.image_link }}" alt={{produit.title}} width="50%" height="50%">
		{% endif %}
        <h5 class="card-title">
		{{ produit.title }}
        </h5>
        <p class="card-text">Description:
		{{ produit.description }}
        </p>
        <p class="card-text">
        <p>Prix {{ produit.price }} </p>
        <p>Quantité {{ produit.stock }} </p>
		</div>
	{% endfor %}
    </div>
    </div>
	</div>
    <div class="d-flex justify-content-center" id="pagination">
        {% do produits.setPageRange(2) %}
        {{ knp_pagination_render(produits, '_partials/pagination.html.twig') }}
        </div>
	{% endblock %}